## com.imcode.imcms.api
Class Document.LifeCyclePhase

    java.lang.Object
      com.imcode.imcms.api.Document.LifeCyclePhase

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  Document

    public static class Document.LifeCyclePhase

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`static Document.LifeCyclePhase` `APPROVED`
`static Document.LifeCyclePhase` `ARCHIVED`
`static Document.LifeCyclePhase` `DISAPPROVED`
`static Document.LifeCyclePhase` `NEW`
`static Document.LifeCyclePhase` `PUBLISHED`
`static Document.LifeCyclePhase` `UNPUBLISHED`

Method Summary
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NEW

    public static final Document.LifeCyclePhase NEW

### DISAPPROVED

    public static final Document.LifeCyclePhase DISAPPROVED

### PUBLISHED

    public static final Document.LifeCyclePhase PUBLISHED

### UNPUBLISHED

    public static final Document.LifeCyclePhase UNPUBLISHED

### ARCHIVED

    public static final Document.LifeCyclePhase ARCHIVED

### APPROVED

    public static final Document.LifeCyclePhase APPROVED

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`